<?

/* #################################
 * # Bitte passen Sie die Werte an #
 */#################################
$mysql_host = 'localhost'; 			// Datenbank Host <- MySQL Server
$mysql_port = '3306'; 				// Datenbank Port, Normalerweise 3306
$mysql_login = 'xbmcweb'; 			// Datenbank Benutzer
$mysql_pass = 'select'; 			// Datenbank Passwort
$mysql_database = 'xbmc_video58'; 	// Datenbank fuer Movies

$idwebfront = 11879;				// ID des WebFront Konfigurators
$idsocket = 45382;					// ID TCP Socket - XBMC - Host: IP Adresse XBMC Port: 9090
$idposter = 15853; 					// ID - String - Poster
$idtitel = 53763;					// ID - String - Titel
$idcontrol = 16725; 				// ID - Integer - Steuerung

/* ###############################
 * # Ab hier nichts mehr aendern #
 */###############################

// Verbindung zur Datenbank
$connect = @mysql_connect($mysql_host . ':' . $mysql_port, $mysql_login, $mysql_pass);
if (!$connect) {
    die('Could not connect: ' . mysql_error());
}
$select = @mysql_select_db($mysql_database);
if (!$select) {
    die('Could not connect: ' . mysql_error());
}

// UTF8 fuer die Verbindung aktivieren
mysql_query('SET CHARACTER SET utf8');
mysql_query('SET NAMES utf8');

// Video Aufloesung
$vres_array = array('sd', 480, 576, 540, 720, 1080);
$width_height = array(0 => 0, 720 => 480, 768 => 576, 960 => 544, 1280 => 720, 1920 => 1080);

// Video Codec
$vtype = array(
    '3iv2' => '3ivx',
    '3ivd' => '3ivx',
    '3ivx' => '3ivx',
    '8bps' => 'qt',
    'advj' => 'qt',
    'avrn' => 'qt',
    'rle' => 'qt',
    'rpza' => 'qt',
    'smc' => 'qt',
    'sv10' => 'qt',
    'svq' => 'qt',
    'qt' => 'qt',
    'zygo' => 'qt',
    'avc' => 'avc',
    'avc1' => 'avc1',
    'dca' => 'dts',
    'div1' => 'divx',
    'div2' => 'divx',
    'div3' => 'divx',
    'div4' => 'divx',
    'div5' => 'divx',
    'div6' => 'divx',
    'divx' => 'divx',
    'dm4v' => 'mpeg4',
    'dx50' => 'mpeg4',
    'geox' => 'mpeg4',
    'm4s2' => 'mpeg4',
    'mpeg4' => 'mpeg4',
    'mpeg-4' => 'mpeg4',
    'nds' => 'mpeg4',
    'ndx' => 'mpeg4',
    'pvmm' => 'mpeg4',
    'em2v' => 'mpeg2',
    'lmp2' => 'mpeg2',
    'mmes' => 'mpeg2',
    'mpeg-2' => 'mpeg2',
    'mpeg2' => 'mpeg2',
    'flv' => 'flv',
    'h264' => 'h264',
    'mp4' => 'mp4',
    'mpeg' => 'mpeg',
    'pim1' => 'mpeg',
    'vc1' => 'vc1',
    'wvc1' => 'vc1',
    'wmv' => 'wmv',
    'wmva' => 'wmva',
    'xvid' => 'xvid',
    'xvix' => 'xvid'
);

// Audio Codec
$atype = array(
    'a_vorbis' => 'ogg',
    'ogg' => 'ogg',
    'vorbis' => 'ogg',
    'aac' => 'aac',
    'ac3' => 'ac3',
    'aif' => 'aif',
    'aifc' => 'aifc',
    'aiff' => 'aiff',
    'ape' => 'ape',
    'dca' => 'dts',
    'dts' => 'dts',
    'dd' => 'dd',
    'dolbydigital' => 'dd',
    'dtshr' => 'dtshd',
    'dtsma' => 'dtshd',
    'dtshd' => 'dtshd',
    'flac' => 'flac',
    'mp1' => 'mp1',
    'mp2' => 'mp2',
    'mp3' => 'mp3',
    'truehd' => 'truehd',
    'wma' => 'wma',
    'wmav2' => 'wma',
    'wmahd' => 'wmahd',
    'wmapro' => 'wmapro'
);

// Audio Channels
$achan = array(
    '1' => '1',
    '2' => '2',
    '6' => '6',
    '8' => '8'
);

// Datenbankbezeichnungen fuer Filme
$col['id_movie']        =   'idMovie';
$col['id_file']         =   'idFile';
$col['title']           =   'c00';
$col['plot']            =   'c01';
$col['outline']         =   'c02';
$col['tagline']         =   'c03';
$col['votes']           =   'c04';
$col['rating']          =   'c05';
$col['credits']         =   'c06';
$col['year']            =   'c07';
$col['poster']          =   'c08';
$col['imdb_id']         =   'c09';
$col['title_format']    =   'c10';
$col['runtime']         =   'c11';
$col['mpaa']            =   'c12';
$col['top250']          =   'c13';
$col['genre']           =   'c14';
$col['director']        =   'c15';
$col['originaltitle']   =   'c16';
$col['thumb_url']       =   'c17';
$col['studio']          =   'c18';
$col['trailer']         =   'c19';
$col['fanart']          =   'c20';
$col['country']         =   'c21';
$col['file_path']       =   'c22';
$col['id_path']         =   'c23';

/* ######################################################
 * # Umwandel der Bilder und erstellen des Poster Cache #
 */######################################################

function gd_convert($id, $poster) {

    $cache_poster = IPS_GetKernelDir().'webfront/user/xbmc/cache/' . $id . '.jpg';
    if (!file_exists($cache_poster) and !empty($poster)) {
        foreach ($poster as $val) {
            $img = @imagecreatefromjpeg($val);
            if ($img) {
                $width = imagesx($img);
                $height = imagesy($img);
                $new_width = 107;
                $new_height = 150;
                $img_temp = imagecreatetruecolor($new_width, $new_height);
                imagecopyresampled($img_temp, $img, 0, 0, 0, 0, $new_width, $new_height, $width, $height);
                imagejpeg($img_temp, $cache_poster, 80);
                break;
            }
        }
    }
}



?>